# Changelog

## 3.0.2

- Migrate from deprecated `overflow` to `clipBehavior`
- Migrate to `TextSelectionTheme`

## 3.0.1+1

- Update documentation to add `Eufemia` with `builder` example

## 3.0.1

- Add `builder` parameter to `Eufemia` providing a `EufemiaThemeAdapter` theme

## 3.0.0

### Breaking changes

- Combine libraries to single package
- Provide context directly to `Snacks` constructor
- Remove deprecated `autovalidate` field from input components

### Migration guide

Change import statements:

- `package:eufemia_components/eufemia_components.dart` → `package:eufemia/components.dart`
- `package:eufemia_palette/eufemia_palette.dart` → `package:eufemia/palette.dart`
- `package:eufemia_typography/eufemia_typography.dart` → `package:eufemia/typography.dart`
- `package:eufemia_spacing/eufemia_spacing.dart` → `package:eufemia/spacing.dart`

Change DNB/EufemiaICons font paths in `pubspec.yaml`:

- `packages/eufemia_typography/fonts/*` → `packages/eufemia/fonts/*`
- `packages/eufemia_components/assets/EufemiaIcons.ttf` → `packages/eufemia/fonts/EufemiaIcons.ttf`

Refactor calls to `Snacks` methods:

- `Snacks.*` → `Snacks(context).*`

### Non-breaking changes

- Add documentation for all public APIs
- Add input formatters
- Fix icon sizes in `SearchField`
- Rework tabs/tabbar

## 2.0.2

- Add `textSelectionHandleColor` to `EufemiaAdapter`

## 2.0.1

- Bump dependencies

## 2.0.0

### Breaking changes

- Update example
- Bump `eufemia_components` to 2.0.0:

> Rename button namespace to avoid conflict with new Material buttons:
>
> - `PrimaryButton` → `EufemiaPrimaryButton`
> - `SecondaryButton` → `EufemiaSecondaryButton`
> - `TextButton` → `EufemiaTextButton`
> - `VividButton` → `EufemiaVividButton`

## 1.0.5+1

- Update readme

## 1.0.5

- Add `fromTextStyle` factory on `Shimmer` component
- Fix sync issues with `EufemiaTabBar` component

## 1.0.4

- Add new PageIndicator
- Fix Navbar bugs
- Set EufemiaTab active parameter to default false
- Update example app
- Add EufemiaTabBar

## 1.0.3

- Update example
- Rename theme.dart to adapter.dart
- Update eufemia_palette and eufemia_components constraint

## 1.0.2

- Allow for non-text titles on list components
- Update version constraints

## 1.0.0

- Add theme providers
- Refactor components to make use of theme providers
- Split project into separate packages

## 0.6.0+1

- Readme badges

## 0.6.0

- Adds `MessageBox` component
- Adds `borderRadius` property on `ColoredIcon`

## 0.5.0

- Changes color on tapped buttons
- Finetunes padding for SegmentedControl
- Adds new GradientWidget component
- Adds new language features
- Tweaks to StaticList, Cell, ScrollableList, Shimmer, shadows, sheets

## 0.4.0

- Added Segmented Control component
- Refactored components
- Added adaptive StaticList/ScrollableList
- Tweaked dark mode colors
- Added extensions
- Added flippable parameter to PaymentCard

### **BREAKING CHANGES**

- TabItem renamed to TabItemData
- Updated PaymentCard API

## 0.3.0

- Added DNB Sans variants

### BREAKING CHANGES

- Replaced Menlo-Regular with DNB Mono

## 0.2.8

- Added macOS, web examples
- Fixed InputField borders in dark mode
- Updated to latest Material TextTheme API

## 0.2.7

- Added InputField
- Added Checkmark

## 0.2.6+1

- Fixed borderRadius in circular shimmer

## 0.2.6

- Added license

## 0.2.5

- Introduced circular/custom-shaped shimmer

## 0.2.4

- Switched to native SnackBar for toasts

## 0.2.3

- Added shimmer/skeleton
- Added shimmerList to Cell

## 0.2.2+2

- ContentCard now clips its children correctly

## 0.2.1+1

- Removed unneeded dependencies

## 0.2.1

- BREAKING: Switch -> EufemiaSwitch
- BREAKING: Slider -> EufemiaSlider

## 0.2.0+3

- Tweaks to BottomTabBar padding

## 0.2.0+2

- Added option to un-center leading widgets in a Cell
- Expanded touch area on bottom app bar items

## 0.2.0+1

- Tweaked BottomAppBarItem padding

## 0.2.0

- New colors, font and tweaks

## 0.1.3+4

- Added contentPadding parameter to Cell

## 0.1.3+3

- Added shrink parameter to Switches

## 0.1.3+2

- Added bottom padding parameter to all lists

## 0.1.3+1

- Removed duplicate bottom border in StaticList

## 0.1.3

- Added static lists

## 0.1.2+6

- Fixed a bug causing Hero widgets to be duplicated in lists

## 0.1.2+5

- Changed the behavior of ScrollableList and StaticList with Cells and children to automatically add a border to the end of the list

## 0.1.2+4

- Exposing height of PaymentCard

## 0.1.2+3

- Added padding to trailing text in cells

## 0.1.2+2

- Added parameters for content card borders and separators

## 0.1.2+1

- Added shadow parameter for content cards

## 0.1.2

- Added company card designs

## 0.1.1+2

- Fixed alignment of trailing widgets combined with implied navigation

## 0.1.1+1

- Ability to combine trailing widget and implied navigation in Cells

## 0.1.1

- Added a new font
- Added assets/splash screens to example app
- Added some system/native controls
- Dark mode optimalizations

## 0.1.0+1

- Fixed the Kenyan flag

## 0.1.0

- Initial release
- Most components/graphics/icons/typography implemented
- Theming & dark mode is still WIP
