/// The Eufemia components are a set of widgets that are built from scratch and
/// as specified by the Eufemia design system. All components are ready to use
/// as children of the [Eufemia] widget, and require no additional setup.
///
/// For usage examples, check the [example app](https://github.com/dnb-asa/eufemia_flutter/tree/master/example)
library components;

// Buttons
export 'src/components/buttons/button.dart';
export 'src/components/buttons/style.dart';
export 'src/components/buttons/state.dart';
export 'src/components/buttons/theme.dart';

// Variants
export 'src/components/buttons/primary_button.dart';
export 'src/components/buttons/secondary_button.dart';
export 'src/components/buttons/vivid_button.dart';
export 'src/components/buttons/text_button.dart';
export 'src/components/buttons/fab.dart';

// Message box
export 'src/components/message_box/message_box.dart';

// Icons
export 'src/components/icons/colored_icon.dart';
export 'src/components/icons/update_icon.dart';
export 'src/components/icons/eufemia_icons.dart';
export 'src/components/icons/icon_data.dart';

// List
export 'src/components/list/cell.dart';
export 'src/components/list/scrollable_list.dart';
export 'src/components/list/static_list.dart';

// Constrols
export 'src/components/controls/switch.dart';
export 'src/components/controls/tab.dart';
export 'src/components/controls/checkmark.dart';
export 'src/components/controls/slider.dart';
export 'src/components/controls/tag.dart';
export 'src/components/controls/toggle.dart';
export 'src/components/controls/page_indicator.dart';
export 'src/components/controls/segmented_control.dart';

// Content card
export 'src/components/cards/content_card.dart';
export 'src/components/cards/gradient_widget.dart';

// Input
export 'src/components/input/input_field.dart';
export 'src/components/input/search_field.dart';

// Snack bars
export 'src/components/snack_bar/snack_bar.dart';

// Tabs/tab bars
export 'src/components/bars/bar.dart';
export 'src/components/bars/bottom_bar.dart';
export 'src/components/bars/toolbar.dart';
export 'src/components/bars/navbar.dart';
export 'src/components/bars/tab_bar.dart';

// Spinner
export 'src/components/spinner/spinner.dart';

// Shimmer
export 'src/components/shimmer/shimmer.dart';

// Graphics
export 'src/components/graphics/graphics.dart';

// Extensions
export 'src/components/extensions/context.dart';

// System
export 'src/components/system/bottom_sheet_service.dart';
export 'src/components/system/dialog_action.dart';
export 'src/components/system/dialog_service.dart';
export 'src/components/system/modal_action.dart';
export 'src/components/system/picker_action.dart';
export 'src/components/system/picker_service.dart';
