/// Provides color and theming functionality.

/// The `EufemiaPaletteData` class is a collection of colors that are used throughout the library of components. You can create your own, or use several presets, like the `saga`, `standard`, `dark` and `privateBanking` factories.
///
/// The palette provider can be accessed using
///
/// ```dart
/// final palette = EufemiaPalette.of(context)
/// ```
library palette;

export 'src/palette/palette.dart';
export 'src/palette/colors.dart';
export 'src/palette/loaders.dart';
export 'src/palette/palette_data.dart';
export 'src/palette/utils/color_json_converter.dart';
