/// Provides spacing- padding and layout features.
///
/// The `EufemiaSpacingData` class defines the different kinds of spacing used throughout the app. By default, it provides the standard spacings specified by the Eufemia design system:
///
/// - `extraSmall: 4.0`
/// - `small: 8.0`
/// - `medium : 16.0`
/// - `large: 24.0`
/// - `extraLarge: 32.0`
/// - `extraExtraLarge: 40.0`
///
/// The spacing provider can be accessed using
///
/// ```dart
/// final spacing = EufemiaSpacing.of(context)
/// ```

library spacing;

export 'src/spacing/spacing_data.dart';
export 'src/spacing/spacing.dart';
export 'src/spacing/padding.dart';
export 'src/spacing/insets.dart';
export 'src/spacing/wrap.dart';
export 'src/spacing/flex.dart';
export 'src/spacing/gaps.dart';
export 'src/spacing/children_extensions.dart';
export 'src/spacing/sides.dart';
export 'src/spacing/space.dart';
