import 'package:flutter/rendering.dart';

/// {@category Palette}
/// Static class containing all colors defined in the Eufemia design system.
class EufemiaColors {
  /// Seagreen
  ///
  /// - RGB: 0, 114, 114
  /// - Opacity: 1.0
  static const seaGreen = Color.fromRGBO(0, 114, 114, 1.0);

  /// Seagreen alt
  ///
  /// - RGB: 0, 132, 132
  /// - Opacity: 1.0
  static const seaGreenAlt = Color.fromRGBO(0, 132, 132, 1.0);

  /// Oceangreen
  ///
  /// - RGB: 0, 52, 62
  /// - Opacity: 1.0
  static const oceanGreen = Color.fromRGBO(0, 52, 62, 1.0);

  /// Emeraldgreen
  ///
  /// - RGB: 20, 85, 90
  /// - Opacity: 1.0
  static const emeraldGreen = Color.fromRGBO(20, 85, 90, 1.0);

  /// Summergreen
  ///
  /// - RGB: 40, 180, 130
  /// - Opacity: 1.0
  static const summerGreen = Color.fromRGBO(40, 180, 130, 1.0);

  /// Mintgreen
  ///
  /// - RGB: 165, 225, 210
  /// - Opacity: 1.0
  static const mintGreen = Color.fromRGBO(165, 225, 210, 1.0);

  /// Mintgreen alt
  ///
  /// - RGB: 235, 255, 250
  /// - Opacity: 1.0
  static const mintGreenAlt = Color.fromRGBO(235, 255, 250, 1.0);

  // Accent and UX specific
  /// Accent yellow
  ///
  /// - RGB: 253, 187, 949
  /// - Opacity: 1.0
  static const accentYellow = Color.fromRGBO(253, 187, 49, 1.0);

  /// Success green
  ///
  /// - RGB: 0, 128, 0
  /// - Opacity: 1.0
  static const successGreen = Color.fromRGBO(0, 128, 0, 1.0);

  /// Fire red
  ///
  /// - RGB: 220, 42, 42
  /// - Opacity: 1.0
  static const fireRed = Color.fromRGBO(220, 42, 42, 1.0);

  /// Signal orange
  ///
  /// - RGB: 254, 84, 0
  /// - Opacity: 1.0
  static const signalOrange = Color.fromRGBO(254, 84, 0, 1.0);

  // Background
  /// Light gray
  ///
  /// - RGB: 250, 250, 250
  /// - Opacity: 1.0
  static const lightGray = Color.fromRGBO(250, 250, 250, 1.0);

  /// Lavender
  ///
  /// - RGB: 242, 242, 245
  /// - Opacity: 1.0
  static const lavender = Color.fromRGBO(242, 242, 245, 1.0);

  /// Sand yellow
  ///
  /// - RGB: 251, 246, 236
  /// - Opacity: 1.0
  static const sandYellow = Color.fromRGBO(251, 246, 236, 1.0);

  /// Pistachio
  ///
  /// - RGB: 242, 244, 236
  /// - Opacity: 1.0
  static const pistachio = Color.fromRGBO(242, 244, 236, 1.0);

  /// Ember red
  ///
  /// - RGB: 252, 238, 238
  /// - Opacity: 1.0
  static const emberRed = Color.fromRGBO(252, 238, 238, 1.0);

  // Grayscale
  /// Coal
  ///
  /// - RGB: 51, 51, 51
  /// - Opacity: 1.0
  static const coal = Color.fromRGBO(51, 51, 51, 1.0);

  /// Dark gray
  ///
  /// - RGB: 117, 117, 117
  /// - Opacity: 1.0
  static const darkGray = Color.fromRGBO(117, 117, 117, 1.0);

  /// Soft gray
  ///
  /// - RGB: 204, 204, 204
  /// - Opacity: 1.0
  static const softGray = Color.fromRGBO(204, 204, 204, 1.0);

  /// Outline gray
  ///
  /// - RGB: 235, 235, 235
  /// - Opacity: 1.0
  static const outlineGray = Color.fromRGBO(235, 235, 235, 1.0);

  /// Subtle gray
  ///
  /// - RGB: 248, 248, 248
  /// - Opacity: 1.0
  static const subtleGray = Color.fromRGBO(248, 248, 248, 1.0);

  /// White
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 1.0
  static const white = Color.fromRGBO(255, 255, 255, 1.0);

  /// Black
  ///
  /// - RGB: 0, 0, 0
  /// - Opacity: 1.0
  static const black = Color.fromRGBO(0, 0, 0, 1.0);

  // Tertiary
  /// Indigo
  ///
  /// - RGB: 35, 25, 90
  /// - Opacity: 1.0
  static const indigo = Color.fromRGBO(35, 25, 90, 1.0);

  /// Violet
  ///
  /// - RGB: 110, 35, 130
  /// - Opacity: 1.0
  static const violet = Color.fromRGBO(110, 35, 130, 1.0);

  /// Skyblue
  ///
  /// - RGB: 75, 190, 210
  /// - Opacity: 1.0
  static const skyBlue = Color.fromRGBO(75, 190, 210, 1.0);

  // Theming
  /// Gray 1
  ///
  /// - RGB: 142, 142, 147
  /// - Opacity: 1.0
  static const gray1 = Color.fromRGBO(142, 142, 147, 1.0);

  /// Gray 2
  ///
  /// - RGB: 99, 99, 102
  /// - Opacity: 1.0
  static const gray2 = Color.fromRGBO(99, 99, 102, 1.0);

  /// Gray 3
  ///
  /// - RGB: 72, 72, 74
  /// - Opacity: 1.0
  static const gray3 = Color.fromRGBO(72, 72, 74, 1.0);

  /// Gray 4
  ///
  /// - RGB: 58, 58, 60
  /// - Opacity: 1.0
  static const gray4 = Color.fromRGBO(58, 58, 60, 1.0);

  /// Gray 5
  ///
  /// - RGB: 44 ,44, 46
  /// - Opacity: 1.0
  static const gray5 = Color.fromRGBO(44, 44, 46, 1.0);

  /// Gray 6
  ///
  /// - RGB: 28, 28, 30
  /// - Opacity: 1.0
  static const gray6 = Color.fromRGBO(28, 28, 30, 1.0);

  /// Saga background
  ///
  /// - RGB: 34, 34, 34
  /// - Opacity: 1.0
  static const sagaBackground = Color.fromRGBO(34, 34, 34, 1.0);

  /// Saga
  ///
  /// - RGB: 191, 169, 112
  /// - Opacity: 1.0
  static const saga = Color.fromRGBO(191, 169, 112, 1.0);

  /// Saga contrast
  ///
  /// - RGB: 128, 112, 69
  /// - Opacity: 1.0
  static const sagaContrast = Color.fromRGBO(128, 112, 69, 1.0);

  /// Saga light
  ///
  /// - RGB: 255, 245, 219
  /// - Opacity: 1.0
  static const sagaLight = Color.fromRGBO(255, 245, 219, 1.0);

  /// PB background
  ///
  /// - RGB: 34, 34, 34
  /// - Opacity: 1.0
  static const pbBackground = Color.fromRGBO(34, 34, 34, 1.0);

  /// PB
  ///
  /// - RGB: 88, 88, 88
  /// - Opacity: 1.0
  static const pb = Color.fromRGBO(88, 88, 88, 1.0);

  /// PB contrast
  ///
  /// - RGB: 164, 164,164
  /// - Opacity: 1.0
  static const pbContrast = Color.fromRGBO(164, 164, 164, 1.0);

  /// PB light
  ///
  /// - RGB: 244, 244, 244
  /// - Opacity: 1.0
  static const pbLight = Color.fromRGBO(244, 244, 244, 1.0);

  /// PB button
  ///
  /// - RGB: 144, 144, 144
  /// - Opacity: 1.0
  static const pbButton = Color.fromRGBO(144, 144, 144, 1.0);

  /// Light shadow
  ///
  /// - RGB: 51, 51, 51
  /// - Opacity: 0.08
  static const lightShadow = Color.fromRGBO(51, 51, 51, .08);

  /// Dark shadow
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 0.05
  static const darkShadow = Color.fromRGBO(255, 255, 255, .05);

  /// Seagreen alt shadow
  ///
  /// - RGB: 0, 132, 132
  /// - Opacity: 0.3
  static const seaGreenAltShadow = Color.fromRGBO(0, 132, 132, .3);

  /// Search field
  ///
  /// - RGB: 51, 51, 51
  /// - Opacity: 0.08
  static const searchField = Color.fromRGBO(51, 51, 51, .08);

  /// Search standard
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 0.88
  static const searchStandard = Color.fromRGBO(255, 255, 255, .88);

  /// Search forms
  ///
  /// - RGB: 51, 51, 51
  /// - Opacity: 0.09
  static const searchForms = Color.fromRGBO(51, 51, 51, .09);

  /// Search payments
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 0.88
  static const searchPayments = Color.fromRGBO(255, 255, 255, .88);

  /// Search dark
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 0.12
  static const searchDark = Color.fromRGBO(255, 255, 255, .12);

  /// White light
  ///
  /// - RGB: 255, 255, 255
  /// - Opacity: 0.8
  static const whiteLight = Color.fromRGBO(255, 255, 255, .8);
}
