import 'package:flutter/services.dart';
import 'package:json_annotation/json_annotation.dart';

/// {@category Palette}
/// {@subCategory utils}
/// A converter class for converting [Brightness] to JSON and vice versa
class BrightnessJsonConverter implements JsonConverter<Brightness, Object> {
  const BrightnessJsonConverter();

  @override
  Brightness fromJson(Object json) {
    if (json is int) {
      return Brightness.values[json];
    }

    return json as Brightness;
  }

  @override
  Object toJson(Brightness object) {
    return object.index;
  }
}
